Automations · Contacts

List contacts

Returns contacts, one page at a time.

GEThttps://api.pozy.ai/v1/contacts
listContacts

Guides: HubSpot, Contacts

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the contacts resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
profileIdstring
accountIdstring
searchstring
tagstring
tagsstring
platformstringOne of instagram, facebook, telegram, twitter, bluesky, reddit, whatsapp, slack, sms
isSubscribedstringOne of true, false
limitintegerDefault 50At most 200
skipintegerDefault 0

Example

curl -X GET "https://api.pozy.ai/v1/contacts?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • contactsarray of object
    18 child fields
    • idstring
    • namestring
    • emailstring
    • companystring
    • avatarUrlstring
    • tagsarray of string
    • isSubscribedboolean
    • isBlockedboolean
    • lastMessageSentAtstring (date-time)
    • lastMessageReceivedAtstring (date-time)
    • messagesSentCountinteger
    • messagesReceivedCountinteger
    • customFieldsobject
    • notesstring
    • createdAtstring (date-time)
    • platformstring
    • platformIdentifierstring
    • displayIdentifierstring
  • filtersobject
    • tagsarray of string
  • paginationobject
    • totalinteger
    • limitinteger
    • skipinteger
    • hasMoreboolean
200 response
{
  "success": true,
  "contacts": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "email": "alex@example.com",
      "company": "string",
      "avatarUrl": "https://pozy.ai/media/example-1.jpg",
      "tags": [
        "string"
      ],
      "isSubscribed": true,
      "isBlocked": true,
      "lastMessageSentAt": "2026-10-02T09:00:00.000Z",
      "lastMessageReceivedAt": "2026-10-02T09:00:00.000Z",
      "messagesSentCount": 42,
      "messagesReceivedCount": 42,
      "customFields": {},
      "notes": "string",
      "createdAt": "2026-10-02T09:00:00.000Z",
      "platform": "instagram",
      "platformIdentifier": "instagram",
      "displayIdentifier": "string"
    }
  ],
  "filters": {
    "tags": [
      "string"
    ]
  },
  "pagination": {
    "total": 42,
    "limit": 1,
    "skip": 1,
    "hasMore": true
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Contacts